<?php
	
	include_once( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	/**
	 * implements the main view of the google analytics plugin
	 */
	class PluginGoogleAnalyticsConfigView extends AdminPluginTemplatedView
	{

		function PluginGoogleAnalyticsConfigView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "googleanalytics", "googleanalytics" );
		}
		
		function render()
		{
			// load some configuration settings
			$blogSettings = $this->_blogInfo->getSettings();
			$pluginEnabled = $blogSettings->getValue( "plugin_googleanalytics_enabled" );
			$uacct = $blogSettings->getValue( "plugin_googleanalytics_uacct");
			
			// create a view and export the settings to the template
			$this->setValue( "pluginEnabled", $pluginEnabled );
			$this->setValue( "uacct", $uacct );
			
			parent::render();
		}
	}
?>
